Bug 1883750 - [v2v][Doc] Windows VM cannot be imported if hibernation is enabled
Summary: [v2v][Doc] Windows VM cannot be imported if hibernation is enabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Documentation
Version: 2.4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.5.0
Assignee: Avital Pinnick
QA Contact: Md Nadeem
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 06:57 UTC by Fabien Dupont
Modified: 2020-12-01 11:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-03 09:59:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fabien Dupont 2020-09-30 06:57:08 UTC
Document URL:
https://access.redhat.com/documentation/en-us/openshift_container_platform/4.5/html/openshift_virtualization/index

Section Number and Name:
7.12.5.4. Importing a VMware virtual machine or template with the virtual machine wizard

Describe the issue: 
When hibernation is enabled in a Windows virtual machine, the import will fail because virt-v2v considers that the filesystem hasn't been cleanly closed. This is a limitation of ntfs-3g.

Suggestions for improvement: 
We could add a known issue or a warning somewhere else to tell customers that they need to temporarily disable hibernation. The text could be something like:

When importing a Windows virtual machine, hibernation must be disabled before the virtual machine is shutdown. If it is enabled, the import will fail because the operating system is not at rest and the VirtIO drivers installation would fail. Once the import is finished, hibernation can be re-enabled. The steps to disable or enable hibernation are detailed in https://docs.microsoft.com/en-us/troubleshoot/windows-client/deployment/disable-and-re-enable-hibernation.


Additional information:

Comment 2 Md Nadeem 2020-10-23 12:46:23 UTC
verified.

Comment 3 Avital Pinnick 2020-11-03 09:59:08 UTC
Changes merged.


Note You need to log in before you can comment on or make changes to this bug.